use hubcaps::{Credentials, Github};
use std::env;
use std::error::Error;

#[tokio::main]
async fn main() -> Result<(), Box<dyn Error>> {
    pretty_env_logger::init();
    let token = env::var("GITHUB_TOKEN")?;
    let github = Github::new(
        concat!(env!("CARGO_PKG_NAME"), "/", env!("CARGO_PKG_VERSION")),
        Credentials::Token(token),
    )?;
    for diff in github
        .repo("rust-lang", "rust")
        .pulls()
        .get(49536)
        .files()
        .await?
    {
        println!("{:#?}", diff);
    }
    Ok(())
}
